aboutsummaryrefslogtreecommitdiffstats
path: root/recipes-opie/opie-clockapplet/opie-clockapplet.inc
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-opie/opie-clockapplet/opie-clockapplet.inc')
-rw-r--r--recipes-opie/opie-clockapplet/opie-clockapplet.inc35
1 files changed, 35 insertions, 0 deletions
diff --git a/recipes-opie/opie-clockapplet/opie-clockapplet.inc b/recipes-opie/opie-clockapplet/opie-clockapplet.inc
new file mode 100644
index 0000000..88e4680
--- /dev/null
+++ b/recipes-opie/opie-clockapplet/opie-clockapplet.inc
@@ -0,0 +1,35 @@
+DESCRIPTION = "Clock applet"
+SECTION = "opie/applets"
+PRIORITY = "optional"
+LICENSE = "GPL"
+APPNAME = "clockapplet"
+
+
+S = "${WORKDIR}/${APPNAME}"
+
+inherit opie
+
+pkg_postinst() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+if pidof -s qpe >/dev/null; then
+ ${bindir}/qcop QPE/TaskBar "reloadApplets()"
+fi
+}
+
+pkg_postrm() {
+#!/bin/sh
+${bindir}/qcop QPE/TaskBar "reloadApplets()"
+ if [ -n "$D" ]; then false; fi
+}
+
+# FILES plugins/applets/libclockapplet.so*
+do_install() {
+}
+
+# FILES plugins/applets/libclockapplet.so* pics/clockapplet/*.png
+do_install() {
+ install -d ${D}${palmtopdir}/pics/clockapplet/
+ install -m 0644 ${WORKDIR}/pics/clockapplet/*.png ${D}${palmtopdir}/pics/clockapplet/
+}
+